#ifndef EQ_INTERLEAVER_H
#define EQ_INTERLEAVER_H

#include <itpp/itbase.h>
#include <itpp/itcomm.h>

using namespace std;
using namespace itpp;


class EQ_Interleaver
{
public:
    EQ_Interleaver();

    vec interleave(vec a, vec b, vec c, bool tail);
    //vec deinterleave(vec d);
    void deinterleave(vec d, vec &a, vec &b, vec &c);

public:
    ivec interleaver_index;
    Sequence_Interleaver<double> frame_interleaver;
};

#endif // EQ_INTERLEAVER_H
